<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Framework for KDE graphical components</title>
    <filename>index</filename>
  </compound>
  <compound kind="namespace">
    <name>KIO</name>
    <filename>namespaceKIO.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="struct">KParts::URLArgs</class>
    <class kind="struct">KParts::WindowArgs</class>
    <class kind="class">KParts::OpenURLEvent</class>
    <class kind="class">KParts::BrowserExtension</class>
    <class kind="class">KParts::BrowserHostExtension</class>
    <class kind="class">KParts::LiveConnectExtension</class>
    <class kind="class">KParts::BrowserInterface</class>
    <class kind="class">KParts::BrowserRun</class>
    <class kind="class">KParts::DockMainWindow</class>
    <class kind="class">KParts::Event</class>
    <class kind="class">KParts::GUIActivateEvent</class>
    <class kind="class">KParts::PartActivateEvent</class>
    <class kind="class">KParts::PartSelectEvent</class>
    <class kind="class">KParts::Factory</class>
    <class kind="class">KParts::GenericFactoryBase</class>
    <class kind="class">KParts::GenericFactory</class>
    <class kind="class">KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</class>
    <class kind="class">KParts::HistoryProvider</class>
    <class kind="class">KParts::MainWindow</class>
    <class kind="class">KParts::PartBase</class>
    <class kind="class">KParts::Part</class>
    <class kind="class">KParts::ReadOnlyPart</class>
    <class kind="class">KParts::ReadWritePart</class>
    <class kind="class">KParts::PartManager</class>
    <class kind="class">KParts::Plugin</class>
    <class kind="class">KParts::StatusBarExtension</class>
    <namespace>KParts::ComponentFactory</namespace>
  </compound>
  <compound kind="struct">
    <name>KParts::URLArgs</name>
    <filename>structKParts_1_1URLArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>826a8c05d8cc9b492065deca9ab2589f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>eefb111d3fd18fbcfaa353e1515a2e06</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>b3fa3ff9ff072c891d62f6988542370f</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>1398fa8cddfecc9e0479018825982e50</anchor>
      <arglist>(bool reload, int xOffset, int yOffset, const QString &amp;serviceType=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>bfea136588978f7a995fef3505ec6dcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>49c5e881e93be7baf604a8d162cea964</anchor>
      <arglist>(const QString &amp;contentType)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>aa8f11b78a6a4e6159e477607dd3ceb7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDoPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>595243bb3dc3a4269880442f97b1449b</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>dff3144249d635b75cb9f87d207bc3e2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>7f304d6e8a7731db09d10d1321cc8e88</anchor>
      <arglist>(bool lock)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>449f8dd09552b4afe443812b949c05c0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>273196506f82bdf0d1dc2d4cfbdbf6cd</anchor>
      <arglist>(bool newTab)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>newTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>508b897d984d8e7fda419c1f08c46ba5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt; &amp;</type>
      <name>metaData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>498868b5e78d5e41a3b092f0f8272d97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>redirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>738299d80149bfcd3cba11b2185c6d20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRedirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>b5637cbe1bd9552ab83cbd7ffd2775b8</anchor>
      <arglist>(bool redirected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setForcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>d67edd57b59d803032a49b675540de3a</anchor>
      <arglist>(bool forcesNewWindow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>096e7abe335c5cb04dc7f828faa90276</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>docState</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>d7e436341da919e82d63bb3c5eab8807</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>8050ee8bb3a7d7c6b23c6549e6156303</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>xOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>3a351b9a3d6723e310b5f1adfead1a03</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>yOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>b588209e67f86569d80a08d09e151b83</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>serviceType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>5fc23c30f547e5a7a1a35e0d9b17e17b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>postData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>5c185a473bb70a25e2379701beba2a8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frameName</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>7dbf89b0854f7329aa4a3b023648992c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>trustedSource</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>f2699a38ae6ea0674ed57020f077c5dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>URLArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>e12fb0e8208d2fa8a14564b6105d1f82</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KParts::WindowArgs</name>
    <filename>structKParts_1_1WindowArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>24e58a6870585b6a62c06231169566de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>e4930b3bf94ffe122c0baa4e511d2450</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>01e2c2c6b75ae9a987ae7cee37d067f3</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>WindowArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>23fd7de2bf5806c36bc37659d34190bc</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>777335fa9f1f6ac8795bd6896097a15c</anchor>
      <arglist>(const QRect &amp;_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>83137842c70659434702f2f7f08102cb</anchor>
      <arglist>(int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>x</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>c3f33089484f9ef38590c849b2cb89b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>y</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ce0d35d7a2828e1002a3886a3bd58bba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>width</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>20eac77fb2287d0096964c10ac993fd9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>height</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>5b0c0a20a477b5661d87f1d97fcb4787</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>fullscreen</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>2352c5c3672e1a6cfceea23a8c0eb1c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>menuBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>0c26b5af268577698632bd3eac9d6e76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>toolBarsVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>1a6cda62cee089981d6f81832fafe009</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>statusBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>49e84acd52e93c4af44e9fe8d91fe193</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>resizable</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>06919f69f25cd50e1f453fd1175a0c1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>lowerWindow</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>c0720b7c553cdb51f1d4aaac65d7b9ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>scrollBarsVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>ea2519d67e2ec5e15e53ce1c75f20aa9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>WindowArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>4794212647db55f2b309cf21c52e80a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::OpenURLEvent</name>
    <filename>classKParts_1_1OpenURLEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>OpenURLEvent</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>1d33bcf28a3a2234b93e66a71e9552d0</anchor>
      <arglist>(ReadOnlyPart *part, const KURL &amp;url, const URLArgs &amp;args=URLArgs())</arglist>
    </member>
    <member kind="function">
      <type>ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>69cd71115b65d3a5aa3ae1ada9cb68b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>3bf0fb8fdef08156bae55b0bc28725d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>args</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>68db55c5854fe56a7635ce5db5abe76e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>0a7c0efd33acbb7194a30197729e448c</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserExtension</name>
    <filename>classKParts_1_1BrowserExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>uint</type>
      <name>PopupFlags</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5ed44592fbd15b6df614042fd9166e2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, QCString &gt;</type>
      <name>ActionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>b6ad56e672293f9cf1ed288dbddc3745</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, int &gt;</type>
      <name>ActionNumberMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f4a47f03f26af720f92c162e448d774b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>DefaultPopupItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c59ee58fca9e8b900d617c4f232b497f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowNavigationItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c05faf3d46fca9da3a396d72c993eec5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowUp</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555cf6030e3884ded53eace393f2af510c68</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowReload</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c97cbb12bbef8ef52b233c24d0bf3e41e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowBookmark</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555cc6c783f725ac9fe594d0b563495feb64</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowCreateDirectory</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c152988520c15f75baddf48de43c9092a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ShowTextSelectionItems</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c947c452c66b8c500ac2ce303451d68c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoDeletion</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c2332ecaf86d9179ba1ba92b9b3b10463</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDeletion</name>
      <anchor>0fa13f8b336e2b3a4f291a59ed9f555c2332ecaf86d9179ba1ba92b9b3b10463</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>3252f2adebd103519ee15e57037c7386</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setActionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>73506e6a8b89d661512d4a6dfcfaabd5</anchor>
      <arglist>(const char *name, const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>fa13489a1195eb4c839cd0864d607a40</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequestDelayed</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f23807a3801965a9d57e609a03ab408b</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLNotify</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>83c7c0d6913752b7970cd6be41d8c07e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setLocationBarURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ad02cdc1546b0dfc1b14689e54a696ba</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setIconURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>bbf6b646226e7628b3aa099a9123b44a</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>b68d93c5455a883e0288c510161f298b</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>41fa10ca996ef6e7d0375317a3c21e3c</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, const KParts::WindowArgs &amp;windowArgs, KParts::ReadOnlyPart *&amp;part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>347035c05f6d6064f18ee656d61faed7</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>speedProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>51c00341228e2280d548e960b3d1fbe6</anchor>
      <arglist>(int bytesPerSecond)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>infoMessage</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f07247232a4925903ed26ec9f9433aa4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>0eb2daaf6f8ac634b47dc12d284e4e8a</anchor>
      <arglist>(const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>4e1778025765468d4153bc85a978ddde</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>26ffb99e5c40449fae317048430363e0</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>69ce533b4097bea9ec1cd41a5aa75abc</anchor>
      <arglist>(const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>95c085e81ea548791b1f5145a76542bc</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e896f8d3fa1dbfe19d9893eea0fd69f1</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ae2db786c70b458b433a2819ed2110fe</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5acae1ffb924f3791fd55900443c3bc0</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>48adcbf1d86d7e183f3f940199802883</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseOverInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>aaf900286a3789d5094e41214e36a344</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addWebSideBar</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e435c8ccfd2cbd8e9cec123a5a815c17</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;name)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moveTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>ad5b1ddfb7313a8cf23a791fde7ec336</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resizeTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5ac0475a4a7d3434326c96bfcff57006</anchor>
      <arglist>(int w, int h)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestFocus</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>8424167e31fd3c68e53cfd0aacb38934</anchor>
      <arglist>(KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setPageSecurity</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>7a352d71c9bcabd14a48efb589dd0957</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>5728c6d9ac0b32cb88431b7011a194dd</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>d306194800dfd9c994c2b3cd48ef64e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setURLArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>4519f684ea36a337cd43d38575c8fa6b</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>urlArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f2fca3fcc1056459ff6b713f6c6c7463</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>xOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>1bd7c693e1aca9e07edeffc138cf267b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>yOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f1da24da659609c5c0c1e5f838d5b2d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>fb99e279b186fc7af270cc9469991cba</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a079a1969335549d2c20a3ce60ce4dfa</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>392bd0526962aedb55973805ff354642</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>fad1b992ba82e4f47fbb4ba6cdfcd1cb</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>f64a4544d143f6fa45b200cb280dcfb4</anchor>
      <arglist>(BrowserInterface *impl)</arglist>
    </member>
    <member kind="function">
      <type>BrowserInterface *</type>
      <name>browserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>8bdeb19e1954a60fd49be6d7ab11d086</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActionEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>df8422a323c4b2af38f52086d99d1428</anchor>
      <arglist>(const char *name) const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>actionText</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>189d410dfe52013d49dd21e745818ac8</anchor>
      <arglist>(const char *name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pasteRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>159892e86904e0d8defd209d70a79c5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap</type>
      <name>actionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a758d6b4f47d16476b1f9faee387dd47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap *</type>
      <name>actionSlotMapPtr</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>25d2953fbab499eecb17f981f1f182ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>8b0030640356a9a097e2a2328d7bfc3d</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>31bded302c8e1d4d7fe06fd12a3d6209</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>urlDropHandling</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>3f4216207e98c29842379e4abf2c1c06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserHostExtension</name>
    <filename>classKParts_1_1BrowserHostExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>b3935544e6622ae07f22a1f9fbadc875</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>76003b224a5e150b024f1c80e2b6c228</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>frameNames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>f169594a9175937e4c30f83f2a8268d6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QPtrList&lt; KParts::ReadOnlyPart &gt;</type>
      <name>frames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a32c1d92bc8931fc2bdc94040014293f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BrowserHostExtension *</type>
      <name>findFrameParent</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>74ba17b18e70aa0bb308d65cf10df0bd</anchor>
      <arglist>(KParts::ReadOnlyPart *callingPart, const QString &amp;frame)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURLInFrame</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>069af203a48ff917674d4c4bf353574c</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;urlArgs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserHostExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>3249ad6a6b4651761ca01543ab16eb32</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>VIRTUAL_FIND_FRAME_PARENT</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>27a605916d540bab0716cbd45539d2b3b582d38bd4cd593878291baae2197847</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>fe70302c00592463b9a2df3ee51a4898</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <class kind="struct">KParts::BrowserHostExtension::FindFrameParentParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::BrowserHostExtension::FindFrameParentParams</name>
    <filename>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</filename>
    <member kind="variable">
      <type>BrowserHostExtension *</type>
      <name>parent</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>bf4388fb9eca25103bb7538f414c0404</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KParts::ReadOnlyPart *</type>
      <name>callingPart</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>cdc088fff668e04469f29a5fef75daab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frame</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>8138ddfca00528446ee17853c955ac32</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::LiveConnectExtension</name>
    <filename>classKParts_1_1LiveConnectExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QValueList&lt; QPair&lt; Type, QString &gt; &gt;</type>
      <name>ArgList</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>3fb0369617e626f38543e224333afe98</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeVoid</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9c862f2f5258607f30adbbe03395426c20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeBool</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9c3fed8b3ab2f5490fd7e6c6fca8b4a14b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeFunction</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9c9f107d1ffb0bab7084c2952c00cf7f79</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeNumber</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9cdd765f23d443e96389613f184e874987</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9cdc439c83b2bb144692429d76408cb5b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TypeString</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8dfff0d5feb20316c714179c9eda9a9c2f39f6b5f442bd7909c8810770d3ca95</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>8dfff0d5feb20316c714179c9eda9a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>partEvent</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>6395513325a0629f34da7f18f3d9ac20</anchor>
      <arglist>(const unsigned long objid, const QString &amp;event, const ArgList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>ab8dcfb09c3d980a6b29782e1533eaf2</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>ef598b47d0fc11d1323588c67928da7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>get</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>46722a5f382f4d0173396f879e050c66</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>put</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>e0bc85bde992773d5bf3235d9772de9d</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>call</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>8af89d03bcefd24bb9c099deb80ca5ae</anchor>
      <arglist>(const unsigned long objid, const QString &amp;func, const QStringList &amp;args, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>c5aa145601a74a7ac1a84baee4690fc4</anchor>
      <arglist>(const unsigned long objid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LiveConnectExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>4982112a931024257416f0c3ce8f2922</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserInterface</name>
    <filename>classKParts_1_1BrowserInterface.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>7156eba754ce8018d1160aab0053e4bf</anchor>
      <arglist>(QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a00ff559d4a192c32d348a0ca6e72ffc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>callMethod</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>2b7c63a3eaa196f53b3cc679714de295</anchor>
      <arglist>(const char *name, const QVariant &amp;argument)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserRun</name>
    <filename>classKParts_1_1BrowserRun.html</filename>
    <member kind="enumvalue">
      <type>@</type>
      <name>Save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>32ee53f65c723ec01f4c4c28e91db8e6dc6aa058c60662f393aa8168681d8a58</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Open</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>32ee53f65c723ec01f4c4c28e91db8e6c44e1cbf269e6df9367051c7561de90b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>Cancel</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>32ee53f65c723ec01f4c4c28e91db8e6ea88673d252dcf7b37559606ce45667f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>InlineDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e78b4e6186491175ccdb4b0f2693c08dfa80faaf171d25b4a0e095a2c1f51cfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>AttachmentDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e78b4e6186491175ccdb4b0f2693c08da236cc4b09fc3ca6f88d9a37b32ea8af</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AskSaveResult</name>
      <anchor>32ee53f65c723ec01f4c4c28e91db8e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>AskEmbedOrSaveFlags</name>
      <anchor>e78b4e6186491175ccdb4b0f2693c08d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b083f7facd489d51e15967df6ca2e7a5</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>28c4c288ab93fad92fe8243a4d4b102e</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource, bool hideErrorDialog)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>2646233eb9f6ff37b4725d3232c6ac9f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideErrorDialog</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>1caa242a8389d61d6758e25a68f9df50</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>51124ba9631ad99b54dd7780e0818c30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentDisposition</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a0ffe2da032f4e14eb6c7ba5f0d9996f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>serverSuggestsSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>7daa3c6e44b8a37aa9c1d010972194dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>9c5f40d1509d2a661d0e96d4b811a6f3</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>24ea38102dc37c41bd1fe89b89640bc9</anchor>
      <arglist>(const KURL &amp;url, KService::Ptr offer, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askEmbedOrSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>5ff6418367b3561fb3da7d963ff0f341</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null, int flags=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a4d2dbef4d96c9aa7ec661ed2d97b799</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename, QWidget *window)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>96176f691e7589dfe03fd976b908753c</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>allowExecution</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>ea1e0817741684c8d7fdd6be7a68ce8c</anchor>
      <arglist>(const QString &amp;serviceType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>0f4a5f087c30a5262925fac03ed4854d</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isTextExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>452cab20ef2c080f6e0a9f6f6149ca92</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>Handled</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>f7f4f75d5ab28c3183f9f5ee96b8a79f1489069cb381b59c2de0d501e347388e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>NotHandled</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>f7f4f75d5ab28c3183f9f5ee96b8a79fe968cb6de73d4c96f7644a55adf610ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>Delayed</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>f7f4f75d5ab28c3183f9f5ee96b8a79f7a4f366bf6b4319caab0e48610f5e26c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>NonEmbeddableResult</name>
      <anchor>f7f4f75d5ab28c3183f9f5ee96b8a79f</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserScanFinished</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>78ceafc4c1fe9c35b5e2f9d3565d7728</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserMimetype</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>549306dfbb92c12c97a1663b82d93a51</anchor>
      <arglist>(KIO::Job *job, const QString &amp;type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCopyToTempFileResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>4aa4aa5de91243a2e3ac2deef678cc74</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStatResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>f2fcdcd5af1982bb67662dc946056ac7</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>scanFile</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>78858ebd1b73ece426abc128edf4e4e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>6140fdc2848021232a3c84a5df98b130</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handleError</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b5899315cfc523094df5cd68b0adb6ed</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>NonEmbeddableResult</type>
      <name>handleNonEmbeddable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>d1b275632b2bc76378879a15ac548706</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::URLArgs</type>
      <name>m_args</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e3aad69d9102d8ff7a161cd9c972f49e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>m_part</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>7893be9026d685c04c804c44f6897ebe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; QWidget &gt;</type>
      <name>m_window</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>31ef44ca1841274f16f05f2cea77f459</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>7e19effea04e03b5676d69faa5e828c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_sMimeType</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>10287c5b20beb8c73e2565f21299ae4f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bRemoveReferrer</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>19d28f1c666a85fff8d762f2f53ee1bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTrustedSource</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>3ccb79a93ffc26f516feedf9cb6e8958</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::DockMainWindow</name>
    <filename>classKParts_1_1DockMainWindow.html</filename>
    <base>KDockMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>bec95797229813b895824844d0aef505</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>0fe70e2bb3f1b209f8839c7c88146f86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>3054b15bdc34eab5b614d4ff7a0e580b</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>bd9aea4c2987282824b980dee67925a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>d790db4b6041cf43dfb336bd17f85f44</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Event</name>
    <filename>classKParts_1_1Event.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>7aa918f7132df5763f6e41b23d5f9a4e</anchor>
      <arglist>(const char *eventName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>eventName</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>2fc2b8442139ce10080549e33704b895</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>85ec686112c97a89c6d014d3bafa2158</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>2e9d4afea702496758a687ad751f39cd</anchor>
      <arglist>(const QEvent *event, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GUIActivateEvent</name>
    <filename>classKParts_1_1GUIActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>GUIActivateEvent</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>303f43218976a3af5612b127b7cdb06d</anchor>
      <arglist>(bool activated)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>6656d719771003b7877dc1137da82beb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>360a35ee2b385c6b615e909e4a885e83</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartActivateEvent</name>
    <filename>classKParts_1_1PartActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartActivateEvent</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>6b2b2b39fc6e8518b74e74f0f5f3947d</anchor>
      <arglist>(bool activated, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>7d6c164caa76842171eed19df734715b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>5588cf3b52a16cc65586a3faf6523117</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>e3ec0f57c3c257eb13e4cf8c5d551f81</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>b2b795f3ff5ed09524e0357ee21cf264</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartSelectEvent</name>
    <filename>classKParts_1_1PartSelectEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartSelectEvent</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>e31a4b63005a8e7493fd4fa5bd6f5e8d</anchor>
      <arglist>(bool selected, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selected</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>fbf342d865c918cdb6b856ab4168145f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>5e85934aca776852b1e8e25b01160f4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>4f3b4a8544692181d2b49ffdeaad21d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>cc477c171d8bedc9e9cbcc23cf775024</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Factory</name>
    <filename>classKParts_1_1Factory.html</filename>
    <base>KLibFactory</base>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>5e7f0778fd8c7d000c1e334cdb64046c</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>8f71456f48e4df402c778a44191ff40e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>createPart</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>8d0911a128f512bfd263bd68b74d63d7</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>const KInstance *</type>
      <name>partInstance</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>7deed586b5f760140c14fe7768d982a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KInstance *</type>
      <name>partInstanceFromLibrary</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>899716fc8b302c99335d548fdaebdd87</anchor>
      <arglist>(const QCString &amp;libraryName)</arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>VIRTUAL_QUERY_INSTANCE_PARAMS</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>86e9307366a1469980626642125a52452f8e6d3ec6a4b1b0b8bed32dd869c8fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>2cab5148792501b38b4b467cfffead54</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QObject *</type>
      <name>createObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>cf8177b503ec958929fea042325f5740</anchor>
      <arglist>(QObject *parent=0, const char *name=0, const char *classname=&quot;QObject&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <class kind="struct">KParts::Factory::QueryInstanceParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Factory::QueryInstanceParams</name>
    <filename>structKParts_1_1Factory_1_1QueryInstanceParams.html</filename>
    <member kind="variable">
      <type>const KInstance *</type>
      <name>instance</name>
      <anchorfile>structKParts_1_1Factory_1_1QueryInstanceParams.html</anchorfile>
      <anchor>960169dbbe6cffa5642e9530c38ce5f1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactoryBase</name>
    <filename>classKParts_1_1GenericFactoryBase.html</filename>
    <templarg>T</templarg>
    <base>KParts::Factory</base>
    <member kind="function">
      <type></type>
      <name>GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>f55233417c6cfae4f515ffe332987261</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>684bf9bd99f8c86d64a1fbdac6ee2901</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KInstance *</type>
      <name>instance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>beca56383788c9f82dab3356f072a198</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>d5b89e87d73a76f3548c1afd09858020</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KInstance *</type>
      <name>createInstance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>bcdedc7fcadbbbabedfc24bb20969d16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>f6bcaefeac445a438b71da47d505563f</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory</name>
    <filename>classKParts_1_1GenericFactory.html</filename>
    <templarg>T</templarg>
    <base>KParts::GenericFactoryBase</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>ef00baf603a775a324f84fb30ba5a0f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>d5f172ea5cba57f9c2a1bb429fed66ce</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</name>
    <filename>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</filename>
    <templarg>T1</templarg>
    <templarg>T2</templarg>
    <base>KParts::GenericFactoryBase&lt; T1 &gt;</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>ddfaf3065f16712d09a7a63bee3fd116</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>9a8a97a828f5f6f5543fea3675fa40aa</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::HistoryProvider</name>
    <filename>classKParts_1_1HistoryProvider.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>cleared</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>c1328e387f0adb62419ddfdd74b1839e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>df153d0a7a3efcdaba20a86e323e115f</anchor>
      <arglist>(const QStringList &amp;items)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>62e24b1e37035b79aa879b5a04c9783c</anchor>
      <arglist>(QObject *parent=0L, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>d1c5d49be5dd48a6fd6776b55afa13d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>contains</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>71a0c077cb80205334b56b0fd257a21d</anchor>
      <arglist>(const QString &amp;item) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>ace7bb17dca383aeecda7a34b9e0f40d</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>5852478b139f20346c53a30543748ed5</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>c377d52046a807032c21e17e8f03dd1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static HistoryProvider *</type>
      <name>self</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>3c2fe96b915ebe5e310bbcbd8499002d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>83269b557393d2b5f1da20115deac02a</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::MainWindow</name>
    <filename>classKParts_1_1MainWindow.html</filename>
    <base>KMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>71844b0cace1a37acd6e9262dbddc9c5</anchor>
      <arglist>(QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>0265b29d78f76679a64b8909a4d604d6</anchor>
      <arglist>(const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>4518264893e4ee98122a9c57f951c872</anchor>
      <arglist>(int cflags, QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>e98d00a93bc118200eeef9f9bba1dba7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>f96742c32da821dd7350deebc0a65382</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>f391fc98a82478ee389a3357d487141f</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>saveNewToolbarConfig</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>7ee678f5096405ef023e49390013c0af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>7f1190c18799d4b2bee82fb91a5cd8b2</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartBase</name>
    <filename>classKParts_1_1PartBase.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>fd87c7912f9feef662662dbfb66ee110</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>95d451269133053c06247ec4cc647afc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>d672e8e40af0aed3c5edff69f737d920</anchor>
      <arglist>(QObject *object)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>partObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>8006cb47829533539a6b631dc3dc4d0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>DoNotLoadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>73b04eba759c3505ac722b2ceaaa8b763ffe0a5005d5e1d00b4d3fd8c4d51a1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>LoadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>73b04eba759c3505ac722b2ceaaa8b76eff505f5627f1539e03730d042e39522</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue" protection="protected">
      <type>@</type>
      <name>LoadPluginsIfEnabled</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>73b04eba759c3505ac722b2ceaaa8b76eaf6ca999ef635e22e3f52234226e931</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PluginLoadingMode</name>
      <anchor>73b04eba759c3505ac722b2ceaaa8b76</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotLoadPlugins</name>
      <anchor>73b04eba759c3505ac722b2ceaaa8b763ffe0a5005d5e1d00b4d3fd8c4d51a1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPlugins</name>
      <anchor>73b04eba759c3505ac722b2ceaaa8b76eff505f5627f1539e03730d042e39522</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPluginsIfEnabled</name>
      <anchor>73b04eba759c3505ac722b2ceaaa8b76eaf6ca999ef635e22e3f52234226e931</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>e2194473c41c16fda0c2a84c0e512073</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>02d619279fb5677a96bd2d64fdcefa8e</anchor>
      <arglist>(KInstance *instance, bool loadPlugins)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>2fb17666883f8b0797eb1e9b43d728bd</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPluginLoadingMode</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>49e418df2d77f5f915aa7addfeec455e</anchor>
      <arglist>(PluginLoadingMode loadingMode)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PartBasePrivate</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>582b5172531788f778001b72bd5a87a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Part</name>
    <filename>classKParts_1_1Part.html</filename>
    <base>QObject</base>
    <base>KParts::PartBase</base>
    <member kind="signal">
      <type>void</type>
      <name>setWindowCaption</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>00982292ef3d8b80dedeb5fed2376099</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBarText</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>809740a79edf0fa0bbe1dd982a6c4d35</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>6beae6e4e613ab34e56936f3f7118e2e</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>1710faabd37355a2a4380b904ea37642</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>embed</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>e4a4d92e9f945a898755bbffde3dd0d5</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>2d2efd56fe23904104c48dc56371c03d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setManager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>6e2136ed1fc42f74f36472f00dd759bb</anchor>
      <arglist>(PartManager *manager)</arglist>
    </member>
    <member kind="function">
      <type>PartManager *</type>
      <name>manager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b300af90a0de5854193b4a55b443ee57</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>hitTest</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>1a008e13075413a25e6005dffb9a1bd4</anchor>
      <arglist>(QWidget *widget, const QPoint &amp;globalPos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>770220e0beb227ba286b09df93ce3d15</anchor>
      <arglist>(bool selectable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>7ec35c6c7ecdd0ad29238a34c7d4ac7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setWidget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>399fea8c8f8d4ee321118d1ec85775db</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>bcffe493b45fa4b62efb50c3d4c3ef27</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b268f00ee4e3984a2ea21c364c09681f</anchor>
      <arglist>(PartActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partSelectEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>20573e8db0c4f08d3ff04422df51b461</anchor>
      <arglist>(PartSelectEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>ac6f064a320fa83b31bf67520df3761f</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>hostContainer</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>79d27796d0a5fb6b1be321b8367b0e7e</anchor>
      <arglist>(const QString &amp;containerName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadOnlyPart</name>
    <filename>classKParts_1_1ReadOnlyPart.html</filename>
    <base>KParts::Part</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>1717bbae9cbdfd38c6d9130914c29cd9</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>1839e6f2741b7fca77cd4b04b5acdc6d</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>7dbe7a0dd64ed631d7d7fc763167de31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>48ddc679f4b303102237f8e33b29c904</anchor>
      <arglist>(bool pendingAction)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>canceled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>b1083f7c30e868d66e1f326b94851d8c</anchor>
      <arglist>(const QString &amp;errMsg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>7b282ec258bf759fb0bfd515ca593465</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>9e6ac2807367409576ee2f4b369118e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>2d8af6ecaf7d70e2670af6420fee7af3</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>5bac89c69212a926becaada085ef609c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showProgressInfo</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>c57cae74a71dc5457df027100c666448</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>cb4ef957a59d80168a38c4bf24d0dd11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>c93c4c7c3bd6133ae3c81a7d255cea58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>8f8e34baa73c676564cc62de66661a1a</anchor>
      <arglist>(const QString &amp;mimeType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ea4c1981f0f9bea442450895a43b4bcb</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a828fc225a2f32563624053f80f40257</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobFinished</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>ed0957ebc51befa75f4d11edd5976238</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>dcb2e097d01e4bf11b3eb040d366f9f5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>abortLoad</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a23121934cc4a6419a85d911142b2abc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>5faf42b421d9fabc6f688a19f98652aa</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KURL</type>
      <name>m_url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>bb12306b8cece9b06d37d73f54d9f61a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_file</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>7f869d5891287f1374fe2c3264bcb7c1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTemp</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>506e9a103aa8bea1c4176b41e631b93e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>93249e7edfdea1ff59ef222a9ea336cc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadWritePart</name>
    <filename>classKParts_1_1ReadWritePart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>f62573db9600db7c877a05f57d81f3e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>bd2f5a4ce68f32b6f21635b7f97ce63a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>waitSaveComplete</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>93827f9da0f3fdcdbb2c53710afe43ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigQueryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>db7caee3c74e13b22dd922f67a68f830</anchor>
      <arglist>(bool *handled, bool *abortClosing)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>b9d9aa50244517b3e4b7360f7ca6427e</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>d69aa70703adae4f0973a002b3054e47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>1f77bd8acc3596f59cd07fa7918dafb1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>09288e0b4b17a2790e5375763d7bf72c</anchor>
      <arglist>(bool readwrite=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>61acb87afb71c5cd7dcce295693e22e4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>51ead3990f91223ed2ebeb8dfa0d60ec</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>58fa38e57de201a227b1e00c66947c32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>4ed64cb4e0328977c747da05eebf0b5a</anchor>
      <arglist>(bool promptToSave)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveAs</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>22aad3951888316852f482355bf4f1d2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>8d6fe0168095b3333dc80884888f02f2</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadFinished</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>dc0ecb0c77f2bc56d725d69b738f3d7a</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>599af24081c3dc1c261c04dce1de4f41</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveToURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>2c0edc21fbf53acc7ebda46cc518edfe</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartManager</name>
    <filename>classKParts_1_1PartManager.html</filename>
    <base>QObject</base>
    <member kind="enumvalue">
      <type>@</type>
      <name>Direct</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>7db25fb7e7f91548fa15566b3af4bb3479efb88f687be8f2b3aac8df408f837e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>TriState</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>7db25fb7e7f91548fa15566b3af4bb34a481c1128a4e5df7d28446725af88482</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ReasonLeftClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>2210acbbe8638df29b112c48e4d9cfb36674110c2c4c77f14b4b1f3f05007930</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ReasonMidClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>2210acbbe8638df29b112c48e4d9cfb3994f0fd06068a24c988a111ce920c58a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>ReasonRightClick</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>2210acbbe8638df29b112c48e4d9cfb33033a1660a6aaf18dbf6c945d9b0bbaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NoReason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>2210acbbe8638df29b112c48e4d9cfb3e3a0e71725462dd7c5f6b63d26bddfe9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>SelectionPolicy</name>
      <anchor>7db25fb7e7f91548fa15566b3af4bb34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Reason</name>
      <anchor>2210acbbe8638df29b112c48e4d9cfb3</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partAdded</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>0ddd1f334b7c397dcb2b11b418604a3f</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partRemoved</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>facc58788662a9e2eb73cc9418d442d8</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activePartChanged</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>9142dcbea26a78a91d4075a223594e3d</anchor>
      <arglist>(KParts::Part *newPart)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>3080f6f41deb0aa070330d61c8bd3b9b</anchor>
      <arglist>(QWidget *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>f8983b6e466c1b954d3f30043a9bb850</anchor>
      <arglist>(QWidget *topLevel, QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e72c496ec195b0e08810bb84ddaf190a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>86fd76d971c0d7707e795e84f49da898</anchor>
      <arglist>(SelectionPolicy policy)</arglist>
    </member>
    <member kind="function">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>8bf881c3df8e6993e228d4cc63e600f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>f2080b98531d980a28248f9249aeccfe</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>fd5a6425e74a5199ece97a1fc52375b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>042e63414928bdda99a34ac71b74d5f6</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>c92933cad3010594b6572b7e680f39e0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>1db711b8ec907e877dbc443cb5766874</anchor>
      <arglist>(short int buttonMask)</arglist>
    </member>
    <member kind="function">
      <type>short int</type>
      <name>activationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ca8548355d0641368b8d91390a093763</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>934b1db601baac4126899e8da800c800</anchor>
      <arglist>(QObject *obj, QEvent *ev)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>eb3d51831fac7978fe6779b95266dbc5</anchor>
      <arglist>(Part *part, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>167a0221dd0dbdff7e259e3be9eb3cba</anchor>
      <arglist>(Part *part)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replacePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>7eb0fe00720363cf9b5c7a368b317779</anchor>
      <arglist>(Part *oldPart, Part *newPart, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setActivePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>0fb06004817c99200b1825cbe7bec6ff</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>activePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>dacf466d6fff0a690f4544781b15698b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>activeWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>fc413a2b9e27f6da977a7feeee82c89f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>9a5e3794346f61d58f962c09a1e5be34</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>selectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>59c4cfbbb9718b3f86d4ef761dbfd874</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>selectedWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>e4e12650e6c1b254e403dacc4969a05f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; Part &gt; *</type>
      <name>parts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>9539ce4e9f43bd8224e6166b90060b69</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>fbfa76cfcc8b4b9912fb798ca1184b62</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>eb33df2081fe50cdcd6272921aa33bdd</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>d272c18270e2cee80a00d0a1636f4a03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotObjectDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a1fe880348e22dd2fc24ad9981e9e88f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>ddb6b1f857a9daa8f272afa291a1d1eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotManagedTopLevelWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>bd0c651ab3014ab805b518f1fa570572</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setActiveInstance</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>d15058a4280edccfd620877307406c9a</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>0a693eb89924525ffc8525e68c0774ff</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>9050e3ed708c864c0f8776ab0c4bc277</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>c906ebcf645bbec2df693f820f1f21a9</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>4a3e721589e60bd82d4071499938450a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Plugin</name>
    <filename>classKParts_1_1Plugin.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>869af7e2235c22012dd4a53699d06b2c</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>8a31c0e95c1a8c467a8f22f0da9022ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>xmlFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>ef2c9fe874cea1c76e17418fee2a0268</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>localXMLFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>5d409b39746290ef1606840ea1cb15d8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>085cf31af8fd73c84a7886c5dc93a3aa</anchor>
      <arglist>(QObject *parent, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>6022ca96b31f054a3f54dc29f0a88a79</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>14b9c3c9bcec7d97b5ee732a1e546317</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e9cba54dd48e0267c2cb4b397f458daa</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance, bool enableNewPluginsByDefault=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; Plugin &gt;</type>
      <name>pluginObjects</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>61dbd5baf68c4c1517b24c98eb4dd3f0</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>c43d5d7c40bb62a07b144844cc0f465b</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QValueList&lt; Plugin::PluginInfo &gt;</type>
      <name>pluginInfos</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>7033cf15fcc535390f690e8107e3b632</anchor>
      <arglist>(const KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>f90412cb9d343292fdcd9456c35854ab</anchor>
      <arglist>(QObject *parent, const char *libname)</arglist>
    </member>
    <class kind="struct">KParts::Plugin::PluginInfo</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Plugin::PluginInfo</name>
    <filename>structKParts_1_1Plugin_1_1PluginInfo.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>m_relXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>02f9a1972d5e87b2d168fa7c5683649b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>m_absXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>1351095a0ec3842ccf3c49cfd4c97478</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDomDocument</type>
      <name>m_document</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>5d8acab9612633d4d1f35019213ecadd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::StatusBarExtension</name>
    <filename>classKParts_1_1StatusBarExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>56aafc6bfb5890074f5d656c2cbec596</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>99594fc9e7c687ece4f5ed062ab55291</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>ff7f43b3ad6d835b95440fb849aec498</anchor>
      <arglist>(QWidget *widget, int stretch, bool permanent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>7ca2fab9855765fa917b373d7b828922</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>KStatusBar *</type>
      <name>statusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>fc65290c1f9d6ab7b8e99e24543a2c91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>817dc68cd8c36c77196af9d1a68c7ee2</anchor>
      <arglist>(KStatusBar *status)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>2491ec79d25c128d9dddba82f6021eb6</anchor>
      <arglist>(QObject *watched, QEvent *ev)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StatusBarExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>b3b379fbe78a969493bf464aa5fd16c5</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts::ComponentFactory</name>
    <filename>namespaceKParts_1_1ComponentFactory.html</filename>
    <member kind="enumeration">
      <name>ComponentLoadingError</name>
      <anchor>a0f34004323782d3721aea693a7e9bfb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>ea3f2ee59e87ce6476f0a9bd656807ea</anchor>
      <arglist>(KLibFactory *factory, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>51396dbf12d4fec7a6d23649e089161e</anchor>
      <arglist>(KParts::Factory *factory, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>9fe4287abe37f168857ef6e1fb7621f4</anchor>
      <arglist>(const char *libraryName, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>e055044d664b5e18c8d3215a2601c9f6</anchor>
      <arglist>(const char *libraryName, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>97853cd4de3b0451fced5278049db71f</anchor>
      <arglist>(const KService::Ptr &amp;service, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>b3a009f028368e3507e6ffef7b0bff8d</anchor>
      <arglist>(const KService::Ptr &amp;service, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>3ad061bac7167ab749094c9534dee6bd</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>f44ec954d45ff06c66db833d9e64a0a7</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>66a8538016585af5338d9578b116a918</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint=QString::null, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>0af2316c53e9d4dedfedecd1badc5e72</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
  </compound>
</tagfile>
