<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="struct">
    <name>_sp_suggestions</name>
    <filename>struct__sp__suggestions.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>count</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>19be1f54a888ff7fd5c85db5cd54f270</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short *</type>
      <name>score</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>f502f044997c11d6a3a34abc7a674adc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short **</type>
      <name>word</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>eb8a477afc3d13bc4d400fc8af145bbb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ASpellClient</name>
    <filename>classASpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>ASpellClient</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>757152a705f1958fa4260c47a670c8bb</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ASpellClient</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>21433be1944dec9328773ee32b8cf382</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>b298662f90bdb84cebfe16505131961b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>6710081f02fb2a2ae6118a8cc810fa98</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>f56c07215ba33174e149aae076a18388</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>7be89d4ade1357b68861a1e5fcb6ec9c</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>d3870ada6010bbdece842a70ea2c423f</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>0de9fdadde1609f9ef808343646ce4b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b8e876f36b6f233c3e15800b035f1f96</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>1e74b7448a5b20fcf3e906abaa3c3769</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>705280414355ab185cea6caa3001d7c6</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b90028cb5b28b7c0b372e89bac4fee5c</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b0b0682562a850c7f5ca1e3c1bd21fc7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>f9abc69d0cf71b7a99f3ac703988e9c9</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>dent</name>
    <filename>structdent.html</filename>
    <member kind="variable">
      <type>dent *</type>
      <name>next</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>ff020121fa84341a8a406031f1e6a552</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>word</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>b97d704ead6e61817c7e86d41cb4a000</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>MASKTYPE</type>
      <name>mask</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>de0b0fe1998f46aab320cfa0c44a6f43</anchor>
      <arglist>[2]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>flagent</name>
    <filename>structflagent.html</filename>
    <member kind="variable">
      <type>ichar_t *</type>
      <name>strip</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>44f33ef5dd105ea36c8deb3ba35dfdfe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ichar_t *</type>
      <name>affix</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>47f6ae3d451b7d27a87b4f0b25fa7514</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>flagbit</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>3d0ed7432cba2f7c7be7e52fde6bd195</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>stripl</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>58a23345759d41077a89bf20ecdcaf2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>affl</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>4a8966fde0c0201b924ca2c609494204</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>numconds</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>e1349841d3652fe45e338293ce708db5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>flagflags</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>3c3a36dfb691863940b18a369b6ba9c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>conds</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>b176c3a3436f55dabf064bde803173bf</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>flagptr</name>
    <filename>structflagptr.html</filename>
    <member kind="variable">
      <type>ptr_union</type>
      <name>pu</name>
      <anchorfile>structflagptr.html</anchorfile>
      <anchor>14f2d375ff593a4153034803ebe3a0bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>numents</name>
      <anchorfile>structflagptr.html</anchorfile>
      <anchor>90e87e9fc730280a84a97a99f541b397</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>hashheader</name>
    <filename>structhashheader.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>magic</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>76d40bb9ee04718b592327e689a23535</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>compileoptions</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>e8bd9e10b9f5a9e4e90e179d8adae7b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>maxstringchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>113fbc598ce8c4908055dc77bd33f096</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>maxstringcharlen</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>7ab391c5bc23738b3f283311c735fda4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>compoundmin</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f2a4c6f6b8fe244e8b47447a2907ccc4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>compoundbit</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>aca7c73e6e780feb2d82222d5698520d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>stringsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>68c8d1cac94750683ce2e368d82e8d5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>lstringsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f493802470a198b8c303bfa1a0b85b73</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>tblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>adbff3a66691685f0251e17dac11ecc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>stblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2ff1c98c206114b98737ba99ca0d2330</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ptblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>7678f9ed99cc873b1c9405d1cbb7d519</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>sortval</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>c4a06d416c6f9b945cbac8c7f5da7976</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nstrchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>b3a21f941c301625e887b9b1086d341f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nstrchartype</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>daf8d73b5fd21fed980236e372ca11e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>strtypestart</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>9dc04be0e98f233da61604d25bde684f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>nrchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>d37eeb2323a41b12f3e39653286355be</anchor>
      <arglist>[5]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>texchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>cb42e8c4ee03d53dd2bf54c6cd96798e</anchor>
      <arglist>[13]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>compoundflag</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f8ff90f9f3e4e35d14c745faf9d65e82</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>defhardflag</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3a2d37268697030a933a0f3abae2a149</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>flagmarker</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>fd37c6efd6d8a185eead4eed1428ff15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>sortorder</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2a2ac4f05b5602b081e9e90c917fb96a</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>ichar_t</type>
      <name>lowerconv</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>fce69227fb29f371a62890b4c5048956</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>ichar_t</type>
      <name>upperconv</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3aef9607ec9afaacf53224c921c8e6ab</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>wordchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2c246364e84948cd2f00921dbd34eaa2</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>upperchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>378a37a0039a3bd66e901b1b10696f27</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>lowerchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>22187d75a691588ffd4711837cec9913</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>boundarychars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>c8b12a603c5a115287a4ba55d9cbb105</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>stringstarts</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>a7baf9193767a74bd27598d614b34fd1</anchor>
      <arglist>[SET_SIZE]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>stringchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>874cfbbc822c4b9f019faf12752463ed</anchor>
      <arglist>[MAXSTRINGCHARS][MAXSTRINGCHARLEN+1]</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>stringdups</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>9b0731f7252177aa257f65396d385bb7</anchor>
      <arglist>[MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dupnos</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>6075e80f270815fa31fd67c51a37f661</anchor>
      <arglist>[MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>magic2</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>fad9b9d3737cac46d337db6ba53354d4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellClient</name>
    <filename>classHSpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>HSpellClient</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>952586e904ba5b00ef2dcf79060b4a9e</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HSpellClient</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>510b4a70df55c59f6aba7da71428c7d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>79d06e78ef89e8658ddcf0e3557a2388</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>b507eb6d86dc3ed9137f5defccc17b3c</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>25fa70361437640cf4fcc1994059cb02</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>a607fc9582e26bc6958d8f547262e13e</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>4b3a399c9daf29eda7ff2b37c0ec77e0</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>3c613647817d6fb2c91607becc28c924</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>d727efb97db404ae8c4f98350e93cdb7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>454d4e6b7894ac989d4348f09b885a9b</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>e5f061973f1dd062821d1dffe5f812b4</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>3103c593ecf0d55c148f09fac5b357cc</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>c8def8f974b383e7ec6f6aac2dee7fbf</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>3593ab66bdb60cbb34dae33ffe962b36</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellChecker</name>
    <filename>classISpellChecker.html</filename>
    <member kind="function">
      <type></type>
      <name>ISpellChecker</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>1cdc48f902cc835984d7d7db3cf11a9b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellChecker</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>dd51941b4b3537bdd339eb4a018e9741</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>91ec1ea736cb9e21b43dd9dd4451ba23</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggestWord</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>3c7a4bdec214ee1eccaaf1f252d43473</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>requestDictionary</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>0a2c06a84a53957c6d2ebb419ca20c34</anchor>
      <arglist>(const char *szLang)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; QString &gt;</type>
      <name>allDics</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>86a5c93cef71e3077084f259c332c266</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellClient</name>
    <filename>classISpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>ISpellClient</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>608614dce308443497da088a9e210fbe</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellClient</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>65ee317b7cf7084a1b200bf803ee1334</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>07ae9bd29ca9eb756906fb675e554b32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>d90dc67fc2adcc069f0a4c497adb4681</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>a4e0dc9117b652972663b91e432f1061</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>9a0df6e26e916aeea49e45604f9bfd6a</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellDict</name>
    <filename>classISpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ISpellDict</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>14380743a53c3271258b7e97fe5919c8</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellDict</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>c47aa6d4600ea4746594d61cced077ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>cfc050f68cb9123173b9bf8a0a0d84ba</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>9579562627e1c1bc28aeceba80010eb1</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>2238c799be3fb4a2c58590bf7b40c0df</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>4a456b3b0b473bd92e0fc64375e40123</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>8413ce08689668635cc59d3af5940f7d</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>4dcbfd683a94709128ccdb5e05b61a63</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2ConfigUI</name>
    <filename>classKSpell2ConfigUI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KSpell2ConfigUI</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>1f53dc12b41c9a25e64b69daec2e9d14</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSpell2ConfigUI</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>3f5abe9bcee0c34aea744092e192c57e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KComboBox *</type>
      <name>m_langCombo</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>43468074f9e3ea5614b964cb2fa5da3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QGroupBox *</type>
      <name>groupBox1</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>942dd549ae67bef012dcb6d11943fb25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_bgSpellCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>a9729308402de801bd9fc8e1adae872d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_skipUpperCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>19d5b8eec251eac12c1238fa0b2626ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_skipRunTogetherCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>93f8381e6b051400d1725ed4d0438e4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel1</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>e9644f735340d1477630cbed1371b883</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KEditListBox *</type>
      <name>m_ignoreListBox</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>e93e7aef55a1e0acdeea7b669367e874</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>ee5428a5e53e38c3c00272489170ec09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>KSpell2ConfigUILayout</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>cba3675161fb802345bb5f82cc65e685</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>groupBox1Layout</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>379f0f3fa2fe4dfc06eb94ae5f6da061</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2UI</name>
    <filename>classKSpell2UI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KSpell2UI</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>c9eb8fd367639071a961bc483353a268</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSpell2UI</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>6572a5c553af6758184208bc54e144ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel2</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>2ed17d4f4ff8a31c14613c0c6c2d5223</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>m_unknownWord</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>5062f0f61aa7ec0321ac634d4b8d60cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel5</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>aa4470cb3f1967a2da71fa27731cb258</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>m_contextLabel</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>137dff301b1fa380df98d8d34b10545e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_addBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>43bc72a9a865871468e224855f7d7c5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QListView *</type>
      <name>m_suggestions</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>6fe8344a2e2117931003e88c60e344fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel4</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>f614b3b22eb587b67e368a4eaeb8ba7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>m_replacement</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>6658c677b38cba85a48b98f8cc93b3ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>m_language</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>7b590fdffd51ba91ce8e7fb933558e9a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_suggestBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>77cc77bd12f98e5c0cccd54e3b97e9e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_replaceBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>9a7b3df32192244446e86d5f6339d562</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_replaceAllBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>847a8bd435f43700480aa4514bf288c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_skipBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>9786476f58daa0e2cbde95f6d5e4e199</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_skipAllBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>b0db5524f9c5e4af11edfb3b46669de5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_autoCorrect</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>42996f58146200facc2a72bbf40d8110</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>0741a9f92eee599a6a8331e84b03a183</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>KSpell2UILayout</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>b7f4fa79c4961b9c398854b630f85e66</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer2</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>52ed9828e44612145548a0b47cdadb0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QVBoxLayout *</type>
      <name>layout1</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>35d109119a63eab01370a7474e7c8ce0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer1</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>fb8aa369c21ddde7773a523b2111ddb7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>ptr_union</name>
    <filename>unionptr__union.html</filename>
    <member kind="variable">
      <type>flagptr *</type>
      <name>fp</name>
      <anchorfile>unionptr__union.html</anchorfile>
      <anchor>f4bf02b10f21ce57bc8a79eb3ad72de7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>ent</name>
      <anchorfile>unionptr__union.html</anchorfile>
      <anchor>911c950e5eaaded70242578d6735fc19</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>strchartype</name>
    <filename>structstrchartype.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>name</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>ec89d70855bf71e77667c243e921504e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>deformatter</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>ec9b079d3c93fe2ee79fbf8ae9f7b259</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>suffixes</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>07c45a43512d0388084af3ded51d5a10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>success</name>
    <filename>structsuccess.html</filename>
    <member kind="variable">
      <type>dent *</type>
      <name>dictent</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>4f625cf9575c548575cb0dbcf88ce7af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>prefix</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>fbc3d0b1617e0e4d468a0381012a605f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>suffix</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>9f479f83347703836f7b9ae5e0b93539</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::BackgroundEngine</class>
    <class kind="class">KSpell2::BackgroundThread</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Client</class>
    <class kind="class">KSpell2::DefaultDictionary</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
    <class kind="class">KSpell2::Settings</class>
    <class kind="class">KSpell2::MisspellingEvent</class>
    <class kind="class">KSpell2::FinishedCheckingEvent</class>
    <class kind="class">KSpell2::ConfigDialog</class>
    <class kind="class">KSpell2::ConfigWidget</class>
    <class kind="class">KSpell2::Dialog</class>
    <class kind="class">KSpell2::Highlighter</class>
    <member kind="variable" static="yes">
      <type>static Word</type>
      <name>endWord</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>0fb0fc44da864f5843c99a0f4f6c68aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Filter &gt;</type>
      <name>sd</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>c9a103c3e1a785a74c23f67699065c99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Filter *</type>
      <name>defFilter</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>6ede0a2c6ec3add9accac493c6f61e63</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>555240239060193c5f8077fa9683787c</anchor>
      <arglist>(KSpell2::Filter *filter)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>47fd70a118fa0ba8508ec900d215568c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>f734e905bc173a2ea67f909e8d5f3b59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>82f366a2081bec1a1635cdad61a7a343</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>273cf1ffc03c4e2b0fdc636ac81164ab</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4e7bf05cd91982ea47af2c886f37417c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundChecker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>5f3bd12ecaddbcc746f38205eb0480fc</anchor>
      <arglist>(const Broker::Ptr &amp;broker, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>487db4df0a60b1a2f87ee47d6b3f9e8e</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>1cda604239a5fe612efe95a96e20df9d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>702eb5ec04095ce0121f2eb76e036abb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0bcb7867c4b06cc562fbe5d5811018e3</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4e7f426a0b82ffd69398136d9876ec66</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>dc227044c0851282576a96546e85739d</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>3223a291abdf1d2095ad359b82126491</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEngineDone</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4dbdb93ce549abfe734a38ad90e167d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>014d5143eca2e2cc927a34e2ac884b0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>953b2f44e0bcc7b8c2310ba5b2fcb6b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundEngine</name>
    <filename>classKSpell2_1_1BackgroundEngine.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>9b40649113526c6c0490df4dc1e08b3d</anchor>
      <arglist>(const QString &amp;, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>925ff5a5c6be8d145183be4cf6bf8b7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundEngine</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>39baa656ef7f4299351abc119fcc2527</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~BackgroundEngine</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>50bf5ff3212f64ba93c5df23e1b78905</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBroker</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>9402010b3d72b71dffb727ee1f5ff216</anchor>
      <arglist>(const Broker::Ptr &amp;broker)</arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>ff534f4f05a4c278ed74327a980d4520</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>ee5bc2955cd237fce3eb777f8699d656</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>ce5e6616fc4b3283be4145bf04c3d336</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>3de9fdd118874c29efaba6a3de345628</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>46406971ff1c38ff72a40086bbe44fea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>5bfbb9a55bedf726cdbbd9db1a5b7358</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>41f91bd69e81edae6a417433cf47817c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>a444118276966eccbcdc4079baecfb5b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>5636ac737a409cacf5335c9f07b9c62c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>288d87aaf727421c0fc9eefbb65f3ad4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>fc0ed5373893202121b9964b7d3fe640</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>d63da68c9f16c584d88578c5abc6f89f</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>fc4706515f5fad45709dae3e50b13358</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>checkNext</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>75f78cde5db73c2982697212cab4d36c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundThread</name>
    <filename>classKSpell2_1_1BackgroundThread.html</filename>
    <base>QThread</base>
    <member kind="function">
      <type></type>
      <name>BackgroundThread</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>f7b03830247076e033a10cb327d8e54d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiver</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>7ac7d051f2a5d65ab12c9b33dc728107</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>receiver</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>251153197bbc934854a628d58f9a142b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBroker</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>0591a675990674d675514f576db6c673</anchor>
      <arglist>(const Broker::Ptr &amp;broker)</arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>fc4b6a726e9d9480db5b87002565d0a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>05d19ad4a02a907c8f5682e436f9b051</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>49225ff58ae6778228f37932cb54758d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>5a5afff97e89cff870a3a5f85d8828f5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>41d280ddff50d5f5de5a8e70fcdbb80b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>2895e969d271fd65d04ea2695113d135</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>68498004fe4a7308f20ebb9dfc03b2ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>f8c2df020ed8c0b86f90e64abee53a48</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>b61de08c9130eaf474b9870a4df74bd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>3d59f44740f1e5c3a1338470ad3dab25</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; Broker &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>619e9ea1139847d4531d9206607ab0bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>5f33f79659ed4b1c2144396239d33b83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Broker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>ee485758d5b14beb7c61713089beb7e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>c17c415520a566250827219de5e3bec9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>3ff999f84b591cc66eae5a467dfe163f</anchor>
      <arglist>(const QString &amp;language=QString::null, const QString &amp;client=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>85945fb5673671d6976cdfbe62b2ba08</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>af6597846f8c02fdeabec9ddd9056f97</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>7015479936e1e5768648034b99f37171</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>7e2ecb1f8b58ef7711dbb03866cf019e</anchor>
      <arglist>(KSharedConfig *config=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>898af3f80d29b5ac194a2bd44cad9afd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>720761556766a2d77ad9125743710d4c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Client</name>
    <filename>classKSpell2_1_1Client.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Client</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>452e7d8c1186f8c2feb7252040a8205c</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>37bd36e2cfdd4ccacefa654fb755ad7f</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>db0371970263afd54f433230ea31a0e1</anchor>
      <arglist>(const QString &amp;language)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>08d053299387ec2d57afa516431df322</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>032524b25cf7bc0071eaa9d5eae94b9f</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::DefaultDictionary</name>
    <filename>classKSpell2_1_1DefaultDictionary.html</filename>
    <base>QObject</base>
    <base>KSpell2::Dictionary</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>e5cde09aff65d38cbe8e90822aa9f374</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DefaultDictionary</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>80687b704a51cf50d3ad4af9caaa7d98</anchor>
      <arglist>(const QString &amp;lang, Broker *broker)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>36c502924397633af1f74c545b92121c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>4a0dc30691a80f13b966d9cb1e143e6a</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>837440eeefb2ff8ac4302ef5d67b382c</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>481263e4ce918d92ffe844f2a11c9929</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>ffe68800f221da7d0f5ce311ad94550b</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>fbfbe8c986055ba3af70bed9c87f0920</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>77191750ed032935c05b6bb6406b2c35</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>defaultConfigurationChanged</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>826afc13df69a4cf49fb4863c4df679f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>80c4d354757fe2a48c57b1ff217cca80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>249a7c2e68695f8184b58b3434068184</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>0159c6ef79338dab82fcf613ba89f840</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>4d49b4ade381db41edffb85dcc6fa42b</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>00ec9e3b3900046cfc74f59a1188a9db</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>cc259c20f219863105998b0173d83e5b</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>4d0d03852408faf5897a160edc1721fd</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>af26837e9d7fc59f6b5c73d896f16ed6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>2b4181c3eb238ae172a80d48aa36e4b9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>1dc1c1ac9a476c04afcfbd423928aafd</anchor>
      <arglist>(const QString &amp;lang, bool def=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>d7163b8b4c4977dbb020fb0a7567d662</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_default</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>32a59df77decab5f13c713fa619b51b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>1f539fc72a1dacd841b904a7bf77c753</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>c9824d02cf840f59e02bd7df27811a5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>183fb7b61a7e15044189672f802ad33d</anchor>
      <arglist>(const QString &amp;w, int st, bool e=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>bf6dfd12037448eaac3d6c0b4a6255d6</anchor>
      <arglist>(const Word &amp;other)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>3b167a6efaa7794d74bce32e0acd963f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>start</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>80b2fce7802d788d8bf071451d9c5aba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>end</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>30a1fa71c7172f36887fb2b2bb9c8379</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>01e80c0cbd6215b86be601975bef9c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Filter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>95ae71fb61daa7f565f160f34d784522</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>71c8308c111b71cd17e7409b9e6c480b</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>cbe110cc6719a25084b844361296ef93</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>1b1d8a39004527c5df09124315803dd5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>44ffa3d01245ef25cf32a1d3aeacf4e7</anchor>
      <arglist>(const QString &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>59d638a8ffdfb81ff88a2dded87da23d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restart</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>f86b90496a1d20b71478e049f83715fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>nextWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>df6a1c6084f858659bf61012bebf98a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>previousWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>5fbf6390f61cd39c037ebc7461876e56</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>wordAtPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>9aa8df0c14edee6e4227e0ea9480a54c</anchor>
      <arglist>(unsigned int pos) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>680ee3cba9765876b24602f2d1e023da</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>2260d9743b558ef5b015d1067d057efd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>d2190d2d1264e6f4f74c84480f180105</anchor>
      <arglist>(const Word &amp;w, const QString &amp;newWord)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>eeb40f1a650bffa2621dc241fa6f0f6a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter *</type>
      <name>defaultFilter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>3850dd4294e79c8e8a90bd65be900f27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Word</type>
      <name>end</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>9302e5d6745fefd0d6c10af33b86c7da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>trySkipLinks</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>0296d549b5502423d37770ea7a766cb5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>50b908597ce1a8aa870e1c8df7ed31d2</anchor>
      <arglist>(const QString &amp;word) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QChar</type>
      <name>skipToLetter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>e0013aa195fcd5a474913af053f436e4</anchor>
      <arglist>(uint &amp;fromPosition) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>shouldBeSkipped</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>5c7c4f4a6778e43c0762942c69ad4ef8</anchor>
      <arglist>(bool wordWasUppercase, bool wordWasRunTogether, const QString &amp;foundWord) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>64a9a02124537957e57972534ace3a63</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>defd138ecabde4d442828292910367bd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Settings</name>
    <filename>classKSpell2_1_1Settings.html</filename>
    <member kind="function">
      <type></type>
      <name>~Settings</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>70e300e4d29378335dd1374b767430c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultLanguage</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>6fc38f4c3a34d84bc5d444fb58652c11</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>defaultLanguage</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>e8e86b08b14739d0c286736da94b3987</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultClient</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>e49af691a5aa3975010bdc3d80a04588</anchor>
      <arglist>(const QString &amp;client)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>defaultClient</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>6401c82951d18224d165667c39b5a535</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCheckUppercase</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>a6deaf2efee8cb2e4dfe0583dcc6a7fd</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkUppercase</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>db86ac0a70ce1ab894e4b94c961dd981</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSkipRunTogether</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>7bdc20c719c61d77a1e7b16b6e51ac43</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>skipRunTogether</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>c4330e05beba6ef1e441b6a4c8f58592</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBackgroundCheckerEnabled</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>1349b62c5da036647675ef92d5f72472</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>backgroundCheckerEnabled</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>5edee4e4ac77bc470cf6b18c2ff2cbf5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIgnoreList</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>15a3ae41279243114f09a6e765116721</anchor>
      <arglist>(const QStringList &amp;ignores)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addWordToIgnore</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>f1514d673973e3d70b2cca38514343a7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>currentIgnoreList</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>fd447e30bf44020255cde5c16064eb03</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>5519947e1e2905c12e41577e5f4603e8</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>bfddab92cb6e0fdbea12c54b8043d7a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSharedConfig *</type>
      <name>sharedConfig</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>f7ff5b8998077332b7c21faa7d2a20a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>1f539fc72a1dacd841b904a7bf77c753</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::MisspellingEvent</name>
    <filename>classKSpell2_1_1MisspellingEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>MisspellingEvent</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>9df51be96bff49846ca9e4b3882e2e24</anchor>
      <arglist>(const QString &amp;word, int pos)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>word</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>653f943652ed9bc336a23aa9671566f8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>position</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>e3a38d81d564fa56faad6f492df39bdd</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::FinishedCheckingEvent</name>
    <filename>classKSpell2_1_1FinishedCheckingEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>FinishedCheckingEvent</name>
      <anchorfile>classKSpell2_1_1FinishedCheckingEvent.html</anchorfile>
      <anchor>053e383808ad34d3a36d764a3afa0cad</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::ConfigDialog</name>
    <filename>classKSpell2_1_1ConfigDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ConfigDialog</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>6a77467072622f83cda18291108558ca</anchor>
      <arglist>(Broker *broker, QWidget *parent)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>21139085f054c5ce6fbf74f348fd124c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>90d427eb7e2865f69c055ef2e9d68022</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::ConfigWidget</name>
    <filename>classKSpell2_1_1ConfigWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>88f81e3e86fdfd0d62fa15cd31cdace7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBackgroundCheckingButtonShown</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>5473905bc5250b5b6b2c250ecd1c7f75</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDefault</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>5c88b8e58c3c431ad6dd57657d8f6d0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigWidget</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>bc345c249b52db4e073017544d740605</anchor>
      <arglist>(Broker *broker, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>backgroundCheckingButtonShown</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>f94360a5abbb3835c719d7eb3a772029</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>c80274a34f71377bf5cc1fc461f8053d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dialog</name>
    <filename>classKSpell2_1_1Dialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>bf417c4056b08507fb508c1203aaee6d</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>31504fc6e7c4d5dbb2a627ba645bf3e1</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>fbfbfe8c9793495228047f81cc90bd4c</anchor>
      <arglist>(const QString &amp;newBuffer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>18c9f0774b6332979c430305f9fac292</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>b0eff1e4c7e1b22115bef1afb2981e28</anchor>
      <arglist>(const QString &amp;oldWord, int start, const QString &amp;newWord)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>7102a3c9d94b0bce11a15c7d12fa5a2d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>cancel</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>680389d661d16a6681b99d2221f6be02</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoCorrect</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>f30449ab68e2474deac54ca28bf90f6a</anchor>
      <arglist>(const QString &amp;currentWord, const QString &amp;replaceWord)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>7c4ad3de7091d18d17b1655d3002ab0f</anchor>
      <arglist>(BackgroundChecker *checker, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Dialog</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>b55141512b4d74318bdeea7658bf984c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>originalBuffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>5cd88ffa6a0d60207dbdeb299ed0639c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>a0af061f171aed1822a8f700ab14fdb9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>42bd50ce6ce06221663c3c63286d4181</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activeAutoCorrect</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>92d4ef92cfc5f714d2c7c919fc1321d2</anchor>
      <arglist>(bool _active)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Highlighter</name>
    <filename>classKSpell2_1_1Highlighter.html</filename>
    <base>QSyntaxHighlighter</base>
    <member kind="function">
      <type></type>
      <name>Highlighter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>e97b6e1d6394b3aa608ac96ef9769d20</anchor>
      <arglist>(QTextEdit *textEdit, const QString &amp;configFile=QString::null, Filter *filter=Filter::defaultFilter())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Highlighter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>f13beed049efe9234eac525ac447adbc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>highlightParagraph</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>8c0e914ec1b0956c6811a38190a2fc8f</anchor>
      <arglist>(const QString &amp;text, int endStateOfLastPara)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>currentFilter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>6c9c674fe3d8723eb42a8831f47719d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentFilter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>a41229a04754dafa92c9b2d7c7c4cba5</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentLanguage</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>c3e6f2ffcce3b944b8dfaf627b23cd0a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentLanguage</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>7519307bd06cdb642cb81e917744f662</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setMisspelled</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>ba1ec1b1afeae58b9b23f3642930185b</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>unsetMisspelled</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>f14c499d6e5c7d1d90e33251386ec92d</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
  </compound>
</tagfile>
